Open CASCADE Technology: MgtPoly Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MgtPoly Class Reference

This package provides methods to translate transient objects from Poly to persistent objects from PPoly and vice-versa. As far as objects can be shared (just as Geometry), a map is given as translate argument. More...

`#include <MgtPoly.hxx>`

## Static Public Member Functions
static Poly_Triangle | Translate (const PPoly_Triangle &POjb)
| translates Transient -> Persistent More...
static PPoly_Triangle | Translate (const Poly_Triangle &TObj)
| translates Persistent -> Transient More...
static Handle< Poly_Triangulation > | Translate (const Handle< PPoly_Triangulation > &PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient More...
static Handle < PPoly_Triangulation > | Translate (const Handle< Poly_Triangulation > &TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent More...
static Handle< Poly_Polygon3D > | Translate (const Handle< PPoly_Polygon3D > &PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient More...
static Handle< PPoly_Polygon3D > | Translate (const Handle< Poly_Polygon3D > &TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent More...
static Handle< Poly_Polygon2D > | Translate (const Handle< PPoly_Polygon2D > &PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient More...
static Handle< PPoly_Polygon2D > | Translate (const Handle< Poly_Polygon2D > &TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent More...
static Handle < Poly_PolygonOnTriangulation > | Translate (const Handle< PPoly_PolygonOnTriangulation > &PObj, PTColStd_PersistentTransientMap &aMap)
| translates Persistent -> Transient More...
static Handle < PPoly_PolygonOnTriangulation > | Translate (const Handle< Poly_PolygonOnTriangulation > &TObj, PTColStd_TransientPersistentMap &aMap)
| translates Transient -> Persistent More...

## Detailed Description

This package provides methods to translate transient objects from Poly to persistent objects from PPoly and vice-versa. As far as objects can be shared (just as Geometry), a map is given as translate argument.

## Member Function Documentation

static Poly_Triangle MgtPoly::Translate | ( | const PPoly_Triangle & | POjb | ) |
| static

translates Transient -> Persistent

static PPoly_Triangle MgtPoly::Translate | ( | const Poly_Triangle & | TObj | ) |
| static

translates Persistent -> Transient

static Handle< Poly_Triangulation > MgtPoly::Translate | ( | const Handle< PPoly_Triangulation > & | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) |  |
| static

translates Persistent -> Transient

static Handle< PPoly_Triangulation > MgtPoly::Translate | ( | const Handle< Poly_Triangulation > & | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) |  |
| static

translates Transient -> Persistent

static Handle< Poly_Polygon3D > MgtPoly::Translate | ( | const Handle< PPoly_Polygon3D > & | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) |  |
| static

translates Persistent -> Transient

static Handle< PPoly_Polygon3D > MgtPoly::Translate | ( | const Handle< Poly_Polygon3D > & | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) |  |
| static

translates Transient -> Persistent

static Handle< Poly_Polygon2D > MgtPoly::Translate | ( | const Handle< PPoly_Polygon2D > & | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) |  |
| static

translates Persistent -> Transient

static Handle< PPoly_Polygon2D > MgtPoly::Translate | ( | const Handle< Poly_Polygon2D > & | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) |  |
| static

translates Transient -> Persistent

static Handle< Poly_PolygonOnTriangulation > MgtPoly::Translate | ( | const Handle< PPoly_PolygonOnTriangulation > & | PObj,
|  | PTColStd_PersistentTransientMap & | aMap
| ) |  |
| static

translates Persistent -> Transient

static Handle< PPoly_PolygonOnTriangulation > MgtPoly::Translate | ( | const Handle< Poly_PolygonOnTriangulation > & | TObj,
|  | PTColStd_TransientPersistentMap & | aMap
| ) |  |
| static

translates Transient -> Persistent

The documentation for this class was generated from the following file:

- MgtPoly.hxx